##NOTE: use environment variables to shorten cmd line and get flexibility.

export JARPATH="exe"
echo SWTPATH ==$SWTPATH==
if test -z $SWTPATH; then export SWTPATH="exe/linux"; fi
export SWTJAR="$SWTPATH/org.eclipse.swt.gtk.linux.x86_3.7.1.v3738a.jar"

if test -z "$JAVA_JREBIN";  then
  ## set a special Java path for example for 32-bit Java instead 64 bit version, eclipse-swt should match!
  #export JAVA_JREBIN="/usr/share/Java1234/jre/bin/"
  export JAVA_JREBIN=""
fi

if test $1; then
 export CFG="$1"
else
 export CFG="./cfg.linux"
fi

#note: small difference between linux and windows: use : as separation in classpath, windows uses ;
echo ${JAVA_JREBIN}java -cp $JARPATH/Fcmd.jar:$SWTJAR org.vishia.commander.Fcmd -SWT cfg:$CFG help:./help --rlevel:333 --report:log/Fcmd.rpt
${JAVA_JREBIN}java -cp $JARPATH/Fcmd.jar:$SWTJAR org.vishia.commander.Fcmd -SWT cfg:$CFG help:./help --rlevel:333 --report:log/Fcmd.rpt
